classdef myclass
  properties
    val = 13;
  end
  methods
    function meth (obj)
      fprintf ('myclass.meth: %f\n', obj.val);
    end
    function fh = get_meth_hdl (obj)
      fh = @meth;
    end
  end
  methods (Static)
    function fh = stat_meth ()
      persistent x
      if (isempty (x))
        x = 0;
      end
      x = x + 1;
      fprintf ('myclass.stat_meth: %f\n', x);
    end
    function fh = get_lcl_hdl ()
      fh = @lcl;
    end
  end
end

function lcl ()
  persistent x
  if (isempty (x))
    x = 0;
  end
  x = x + 1;
  fprintf ('myclass.lcl: %f\n', x);
end
